# simpleMapper

inline fun < T1 , T2 > simpleMapper (noinline t1: ( T2 ) -> T1 , noinline t2: ( T1 ) -> T2 ): SimpleMapperImpl < T1 , T2 >(source)

Creates a SimpleMapper using the provided conversion functions.

#### Return

A new SimpleMapperImpl instance

#### Parameters

t1

Function to convert from T2 to T1

t2

Function to convert from T1 to T2

#### Type Parameters

T1

The first type

T2

The second type